// addserverdialog.cpp
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/


#include "addserverdialog.h"

#include <qlineedit.h>
#include <qpushbutton.h>
#include <qhbox.h>
#include <qlayout.h>
#include <qlabel.h>

AddServerDialog::AddServerDialog ( QWidget *parent=0, const char *name=0,
   bool modal=FALSE, WFlags f=0 )
   : QDialog ( parent, name, modal, f )
{
   setCaption ( "Add new server" );
   mainBox = new QVBoxLayout ( this );
   mainBox->setMargin ( 5 );
   mainBox->addSpacing ( 20 );
   addressBox = new QHBox ( this );
   mainBox->addWidget ( addressBox );
   mainBox->addSpacing ( 20 );

   addressBox->setSpacing ( 10 );
   addressLabel = new QLabel ( "Address:", addressBox );
   addressEdit = new QLineEdit ( addressBox );
   mainBox->setStretchFactor ( addressEdit, 3 );
   portLabel = new QLabel ( "Port:", addressBox );
   portEdit = new QLineEdit ( "1716", addressBox );

   controlBox = new QHBoxLayout ( mainBox );
   controlBox->addSpacing ( 200 );
   okButton = new QPushButton ( "OK", this );
   cancelButton = new QPushButton ( "Cancel", this );
   okButton->setDefault ( TRUE );
   controlBox->addWidget ( okButton );
   controlBox->addWidget ( cancelButton );

   connect ( okButton, SIGNAL ( clicked ()), this, SLOT ( returnAddress()));
   connect ( cancelButton, SIGNAL ( clicked ()), this, SLOT ( reject()));
}

void AddServerDialog::returnAddress()
{
   emit address ( addressEdit->text() + ':' + portEdit->text());
   accept();
}
