// filterdialog.h
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/

#ifndef FILTERDIALOG_H
#define FILTERDIALOG_H

#include <qdialog.h>

class QVButtonGroup;
class QCheckBox;
class QSpinBox;
class QComboBox;
class QPushButton;
class QVBoxLayout;
class QHBoxLayout;
class QLabel;
class QGrid;

class FilterDialog: public QDialog
{
   Q_OBJECT

public:
   FilterDialog( QWidget *, const char *, bool, WFlags );

protected slots:
   void accept();

private:
   QVBoxLayout *mainBox;

   // Comboboxes
   QGrid *pickGrid;
   QComboBox *mapPick;
   QCheckBox *mapCheckBox;
   QComboBox *typePick;
   QCheckBox *typeCheckBox;

   // CheckBoxes
   QHBoxLayout *buttonBox;
   QVButtonGroup *checkButtonGroup;
   QCheckBox *fullCheckBox;
   QCheckBox *emptyCheckBox;
   QCheckBox *privateCheckBox;
   QCheckBox *milesCheckBox;
   QCheckBox *pbCheckBox;
   QCheckBox *cheatCheckBox;

   // Spinboxes
   QVBoxLayout *rightBox;
   QGrid *spinBox;
   QSpinBox *minHonorSpinBox;
   QLabel *minHonorLabel;
   QSpinBox *maxHonorSpinBox;
   QLabel *maxHonorLabel;
   QSpinBox *minPlayersSpinBox;
   QLabel *minPlayersLabel;
   QSpinBox *maxPlayersSpinBox;
   QLabel *maxPlayersLabel;

   // OK and cancel buttons
   QHBoxLayout *controlBox;
   QPushButton *okButton;
   QPushButton *cancelButton;
   int masterType;
};

#endif
