// gsms.h
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/

#ifndef GSMS_H
#define GSMS_H

#include <qsocket.h>

class Gsms : public QSocket

{
   Q_OBJECT

public:
   Gsms( int );
   virtual void setPacketType( QString type );
   virtual void setGuid ( QString guid );
   QString packetTypeText;
   QString guidText;
   
signals:
   void numberOfServers ( int );
   void serverList ( QString );
   void bytesRead ( int );
   void serverTimeout ();

protected:
   enum packetType { COUNT, LIST, INFO };

protected slots:
   void readXML();
   void sendPacket();
   void timeout();
   void finished();

private:
   QString createPacket( packetType);
   int bytes;
   void decToBin ( char *data, int dec );
   QStringList buildFilterList ();
   char *masterData;
   QString finalString;
   QTimer *timer;
};

#endif
