// gspyquery.h
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/

#ifndef GSPYQUERY_H
#define GSPYQUERY_H

#include "query.h"
#include <qvaluevector.h>

class GSpyQuery : public Query
{
   Q_OBJECT

public:
   GSpyQuery();
   ~GSpyQuery();
   void sendQuery( QString );

protected slots:
   void recvQuery ( int );

private:
   void parseQuery ( QCString );
   QCString finalData;
   bool pong;
   int totalPackets;
   int receivedPackets;
   QValueVector<QString>packets;
};

#endif
