// httpquery.h
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

******************************************************************************/

#ifndef HTTPQUERY_H
#define HTTPQUERY_H

#include <qobject.h>
class QNetworkOperation;
class QUrlOperator;

class HttpQuery : public QObject
{
   Q_OBJECT

public:
   HttpQuery();
   ~HttpQuery();

signals:
   void bytesRead ( int );
   void transferFinished ( bool );

protected slots:
   void httpData ( const QByteArray &, QNetworkOperation * );
   void httpFinished ( QNetworkOperation * );

private:
   QString getFilters ();
   int bytes;
   QUrlOperator *op;
};

#endif
