// browsewindow.cpp
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/

#ifndef QUERY_H
#define QUERY_H

#include <qobject.h>

class QSocketDevice;
class QSocketNotifier;
class ServerListView;

class Query : public QObject
{
   Q_OBJECT

public:
   Query();
   virtual ~Query();
   void start();
   virtual void sendQuery ( QString )=0;
   void setAddress ( QString );
   void setTimeout ( int );
   void setServerList ( ServerListView * );

signals:
   void time ( int, QString );
   void finished ( QString );
   void timeoutError ( QString );

protected slots:
   virtual void recvQuery ( int )=0;
   void timeout();

protected:
   virtual void parseQuery ( QCString )=0;

   QSocketDevice *qsd;
   QSocketNotifier *qsn;
   QTime *pingTimer;
   QTimer *timer;
   QString serverAddress;
   int serverTimeout;
   ServerListView *currList;
   bool leased;
   bool official;
};

#endif
