// retrydialog.h
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/

#ifndef RETRYDIALOG_H
#define RETRYDIALOG_H

#include <qdialog.h>

class QHBoxLayout;
class QVBoxLayout;
class QLabel;
class QPushButton;
class QProgressBar;
class QTimer;

class RetryDialog: public QDialog
{
   Q_OBJECT

public:
   RetryDialog( QWidget *, const char *, bool, WFlags );
   void stopTimer();
   void startTimer();
   void resetProgress();
   void connecting();

signals:
   void tryAgain();
   void cancel();
   void connectServer();

protected slots:
   void retry ();
   void reject ();
   void accept ();
   void updateProgress();

private:
   QVBoxLayout *mainBox;
   QHBoxLayout *buttonBox;
   QLabel *serverLabel;
   QProgressBar *timeProgress;
   QPushButton *connectButton;
   QPushButton *cancelButton;
   QTimer *retryTimer;
   QTimer *progressTimer;
   int timeoutValue;
};

#endif
