// searchdialog.h
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/

#ifndef SEARCHDIALOG_H
#define SEARCHDIALOG_H

#include <qdialog.h>
#include <qlistview.h>

class QLineEdit;
class QListView;
class QPushButton;
class QHBoxLayout;
class QVBoxLayout;
class QHBox;
class QCheckBox;
class ServerListView;
class BuddyList;

class SearchDialog: public QDialog
{
   Q_OBJECT

public:
   SearchDialog( QWidget *, const char *, bool, WFlags );
   void setListViews ( ServerListView *, ServerListView * );
   void setBuddyList ( BuddyList * );

signals:
   void raiseServer ( QString, QString );

protected slots:
   void search();
   void found( QString, QString, QString );
   void addToBuddyList();
   void showServer();
   void playerRMB ( QListViewItem *, const QPoint &, int );
   
private:
   QVBoxLayout *mainBox;
   QLineEdit *playerEdit;
   QListView *playerList;
   QHBox *checkBox;
   QCheckBox *caseCheckBox;
   QCheckBox *exactCheckBox;
   QHBoxLayout *controlBox;
   QPushButton *searchButton;
   QPushButton *okButton;
   ServerListView *favs;
   ServerListView *andro;
   BuddyList *buddies;
};

class ServerItem : public QListViewItem
{
public:
   ServerItem ( QListView * );
   void paintCell ( QPainter *, const QColorGroup &, int, int, int );
};

#endif
