// settingsdialog.h
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QHGroupBox;
class QVGroupBox;
class QLineEdit;
class QPushButton;
class QListViewItem;
class QListView;
class QHBox;
class QVBox;
class QWidgetStack;
class QCheckBox;
class QGrid;
class QSpinBox;
class QLabel;
class QButtonGroup;

class SettingsDialog: public QDialog
{
   Q_OBJECT

public:
   SettingsDialog( QWidget *, const char *, bool, WFlags );
   ~SettingsDialog ();

signals:
   void settingsChanged();

protected slots:
   void chooseExec();
   void saveSettings();
   void changeOptions ( QListViewItem * );

private:
   QVBoxLayout *mainBox;
   QHBox *optionsBox;
   QListView *selectList;
   QListViewItem *general;
   QListViewItem *andromeda;
   QWidgetStack *options;
   QVBox *optionsGeneral;
   QVBox *optionsAndro;

   QHGroupBox *gameExecBox;
   QLineEdit *gameExecEdit;
   QPushButton *gameExecButton;
   QVGroupBox *startupBox;
   QVGroupBox *exitBox;
   QCheckBox *refreshFavs;
   QCheckBox *saveLists;
   QGrid *connectionBox;
   QLabel *openSocketsLabel;
   QSpinBox *openSockets;
   QLabel *timeoutLabel;
   QSpinBox *timeout;
   QLabel *retriesLabel;
   QSpinBox *retries;
   QCheckBox *gamespyCheckBox;
   QCheckBox *colourNamesCheckBox;
   QButtonGroup *toolGroup;

   QGrid *androBox;
   QButtonGroup *masterGroup;
   QLineEdit *gspyEdit;
   QLineEdit *androEdit;
   QLineEdit *aamslEdit;
   QLabel *masterTimeoutLabel;
   QSpinBox *masterTimeout;
   QCheckBox *masterRefresh;

   QHBoxLayout *controlBox;
   QPushButton *okButton;
   QPushButton *cancelButton;
   void loadSettings();
};

#endif
